$(document).ready(function() {
    $('input#enabled, input[name=chkoldenabled]').change(function() {
        if ($('input#enabled').val() == 'off') {
            $('tr.only-if-sync-enabled').hide();
        } else {
            $('tr.only-if-sync-enabled').show();
        }
        $('tr.only-if-sync-enabled > td > select#id').change();
    });
    $('tr.only-if-sync-enabled > td > select#id').change(function() {
        $('tr.only-if-new-list').hide();
        if ($(this).is(':visible') && $(this).val() == '_new') {
            $('tr.only-if-new-list').show();
        }
    });
    $('input[name=chkoldenabled]').change();
    $('tr.only-if-sync-enabled > td > select#id').change();

    $('tr.sync_report, tr.sync_wait').hide();

    $('button#mailchimp_import').click(function () {
        $('tr.sync_report').hide();
        $('tr.sync_wait').show();
        $.post('index.php', {
            menu:               getCurrentElastixModule(),
            action:             'run_sync',
            rawmode:            'yes',
            id_dir:             $('input[type="hidden"][name="id_dir"]').val(),
            synctarget:         $('select[name="synctarget"]').val(),
            synctarget_action:  'import'
        }, function (response) {
            var arrData = response.message;
            var statusResponse = response.statusResponse;
            var error = response.error;

            $('tr.sync_wait').hide();
            if (error != undefined && error != '') {
                alert(error);
                return;
            }
            $('td#sync_result_total').text(arrData.total);
            $('td#sync_result_created').text(arrData.created);
            $('td#sync_result_updated').text(arrData.updated);
            $('tr.sync_report').show();
        });

        return false;
    });
    $('button#mailchimp_export').click(function () {
        $('tr.sync_report').hide();
        $('tr.sync_wait').show();
        $.post('index.php', {
            menu:               getCurrentElastixModule(),
            action:             'run_sync',
            rawmode:            'yes',
            id_dir:             $('input[type="hidden"][name="id_dir"]').val(),
            synctarget:         $('select[name="synctarget"]').val(),
            synctarget_action:  'export'
        }, function (response) {
            var arrData = response.message;
            var statusResponse = response.statusResponse;
            var error = response.error;

            $('tr.sync_wait').hide();
            if (error != undefined && error != '') {
                alert(error);
                return;
            }
            $('td#sync_result_total').text(arrData.total);
            $('td#sync_result_created').text(arrData.created);
            $('td#sync_result_updated').text(arrData.updated);
            $('tr.sync_report').show();
        });

        return false;
    });
});
