$(document).ready(function() {
    $('textarea[name=jsonconfig]')
        .keyup(eval_json)
        .change(eval_json)
        .on('cut', eval_json)
        .on('paste', eval_json);

    $('textarea[name=jsonconfig]').change();
});

function eval_json()
{
    var attr;
    try {
        attr = JSON.parse($(this).val());
    } catch (e) {
        attr = {};
    }

    var ks = ['client_id', 'project_id', 'auth_uri', 'token_uri',
        'auth_provider_x509_cert_url', 'client_secret'];
    ks.forEach(function (k, i) { $('td#'+k).text('?'); });
    if (typeof attr.web != 'undefined') {
        ks.forEach(function (k, i) {
            if (typeof attr.web[k] != 'undefined') {
                $('td#'+k).text(attr.web[k]);
            }
        });
    }
}
